## shove 0.8.4

=== Makefile ===
.PHONY: test shpec release

BIN     := bin/shove
VERSION := $(shell $(BIN) -V)

SHELLS := sh bash dash ksh zsh

test:
	@set -e; \
	for sh in $(SHELLS); do \
		if which $$sh >/dev/null 2>&1; then \
			$(BIN) -r t -v -s $$sh; \
		else \
			echo "$$sh is not found. skip."; \
		fi; \
	done

shpec:
	@if ! which shpec >/dev/null 2>&1; then \
		echo "shpec not found. quit."; \
		exit 1; \
	fi
	@set -e; \
	for sh in $(SHELLS); do \
		if which $$sh >/dev/null 2>&1; then \
			echo "# shpec by $$sh"; \
			$$sh `which shpec`; \
		else \
			echo "$$sh is not found. skip."; \
		fi; \
	done

release:
	git commit -m $(VERSION)
	git tag -a v$(VERSION) -m $(VERSION)
	git push origin v$(VERSION)
	git push origin master

## shove 0.8.2

=== debian/changelog ===
shove (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 25 Sep 2016 19:32:27 +0800

shove (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 24 Sep 2016 13:08:46 +0800

shove (0.7.3-1) unstable; urgency=low

  * Initial release. Closes: #836512

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 04 Sep 2016 00:51:39 +0800

=== debian/control ===
Source: shove
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 9),
               asciidoc,
               xmlto,
Standards-Version: 3.9.8
Homepage: https://github.com/key-amb/shove
Vcs-Git: https://anonscm.debian.org/git/collab-maint/shove.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shove.git

Package: shove
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: test tool for shell scripts with TAP outputs
 A test tool for shell scripts likes sh, bash, dash, ksh, and zsh with TAP
 outputs.

=== debian/watch ===
version=3
https://github.com/key-amb/shove/releases .*/v?(\d\S*)\.tar\.gz

## shove 0.8.4

=== debian/changelog ===
shove (0.8.4-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Upgrade to version 5.
  * d/salsa-ci.yml: Config Salsa CI.
  * d/gbp.conf: Remove gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 24 Sep 2025 21:53:17 +0800

shove (0.8.4-2) unstable; urgency=medium

  * Fix /usr/bin/shove installation. (Closes: #985520)
  * Bump Standards-Version to 4.6.1.
  * Update Build-Depends.
  * Update d/watch for GitHub.
  * Add d/gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Dec 2022 09:04:34 +0800

shove (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1.
    * Set Rules-Requires-Root: no.
  * Bump compat to 13.
  * Update Vcs-* fields to salsa.
  * Add upstream metadata.
  * Bump debian/watch version to 4
  * Remove git-dpm config file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 17 Mar 2021 08:14:58 +0800

=== debian/control ===
Source: shove
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               xmlto,
Standards-Version: 4.7.2
Homepage: https://github.com/progrhyme/shove
Vcs-Git: https://salsa.debian.org/debian/shove.git
Vcs-Browser: https://salsa.debian.org/debian/shove
Rules-Requires-Root: no

Package: shove
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: test tool for shell scripts with TAP outputs
 A test tool for shell scripts likes sh, bash, dash, ksh, and zsh with TAP
 outputs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
	dh_auto_configure

override_dh_auto_build:
	# Need to access home directory.

override_dh_auto_test:
	# Need to access home directory.

=== debian/watch ===
Version: 5
Template: GitHub
Owner: progrhyme
Project: shove
